## ulogd2 2.0.9

=== doc/Makefile ===
all:
	sgml2txt ulogd.sgml
	sgml2latex --papersize=a4 --output=dvi ulogd.sgml
	dvips -t a4 -o ulogd.ps ulogd.dvi
	sgml2html -s 0 ulogd.sgml
clean:
	rm -f ulogd.dvi ulogd.txt ulogd.html ulogd.ps

## ulogd2 2.0.2

=== debian/changelog ===
ulogd2 (2.0.2-3) unstable; urgency=low

  * Set up transition from ulogd to ulogd2. (Closes: #395302, #699767)
  * Update debian/ulogd2.examples to use a wildcard for debian/examples/*
  * Complete changing my email address in the package source.

 -- Chris Boot <debian@bootc.net>  Fri, 21 Jun 2013 19:56:29 +0100

ulogd2 (2.0.2-2) unstable; urgency=low

  [ Chris Boot ]
  * Add ulogd2-dbi to Suggests, improve package descriptions.
  * Activate full hardening build flags (pie + bindnow).
  * Create ulog user; drop root privileges when starting daemon.
  * Add nice-before-setuid.patch (applied upstream):
    - Fixes daemon failing to renice when run as non-root.
  * Add write-pidfile.patch (applied upstream):
    - Add PID file capability to daemon.
  * Add improve-pid-file-handling.patch (from upstream):
    - Improves PID file handling added in the earlier patch.
  * Rewrite init script using current best practices:
    - Uses PID files; based on /etc/init.d/skeleton; uses LSB exit codes.
  * Remove libnetfilter_conntrack-1.0.1.patch and libnfnetlink-1.0.0.patch:
    - The requisite versions are in unstable.
    - Add versioned build-depends for those packages instead.
  * Include /usr/share/doc/ulogd2/examples/pcap2ulog.gz from upstream git file
    contrib/pcap2ulog (not included in upstream tarball).

  [ Jonathan Wiltshire ]
  * Update maintainer address

 -- Chris Boot <debian@bootc.net>  Thu, 30 May 2013 20:09:51 +0100

ulogd2 (2.0.2-1) unstable; urgency=low

  * Initial release (Closes: #502305)

 -- Chris Boot <bootc@bootc.net>  Mon, 29 Apr 2013 09:12:48 +0100

=== debian/control ===
Source: ulogd2
Section: net
Priority: optional
Maintainer: Chris Boot <debian@bootc.net>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config,
 libnfnetlink-dev (>= 1.0.1), libmnl-dev, libnetfilter-acct-dev,
 libnetfilter-conntrack-dev (>= 1.0.2), libnetfilter-log-dev,
 libmysqlclient-dev, libpq-dev, libsqlite3-dev, libdbi-dev, libpcap-dev,
 linuxdoc-tools, groff
Standards-Version: 3.9.4
Homepage: http://www.netfilter.org/projects/ulogd/
Vcs-Browser: https://github.com/bootc/ulogd2
Vcs-Git: git://github.com/bootc/ulogd2.git

Package: ulogd2
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, lsb-base, ${misc:Depends}, adduser
Suggests: ulogd2-dbi, ulogd2-mysql, ulogd2-pgsql, ulogd2-pcap, ulogd2-sqlite3
Breaks: ulogd (<< 2.0.2-3~)
Replaces: ulogd (<< 2.0.2-3~)
Description: Netfilter Userspace Logging Daemon
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 Support for DBI, MySQL, PostgreSQL and SQLite 3 are in separate packages called
 ulogd2-dbi, ulogd2-mysql, ulogd2-pgsql and ulogd2-sqlite3 respectively. Support
 for writing to pcap files is in the ulogd2-pcap package.

Package: ulogd2-dbi
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: DBI extension to ulogd
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This module adds DBI support to ulogd. If you install this package, you can
 send netfilter logs or accounting data to an SQL database via the DBI database
 abstraction layer.

Package: ulogd2-mysql
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks: ulogd-mysql (<< 2.0.2-3~)
Replaces: ulogd-mysql (<< 2.0.2-3~)
Description: MySQL extension to ulogd
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This module adds MySQL support to ulogd. If you install this package, you can
 send netfilter logs or accounting data to a MySQL database.

Package: ulogd2-pcap
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: tcpdump, wireshark, tshark
Breaks: ulogd-pcap (<< 2.0.2-3~)
Replaces: ulogd-pcap (<< 2.0.2-3~)
Description: pcap extension to ulogd
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This module add pcap file support to ulogd. If you install this package, you
 can use ulogd to dump packets to a file for later analysis using tools such
 as tcpdump or wireshark.

Package: ulogd2-pgsql
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks: ulogd-pgsql (<< 2.0.2-3~)
Replaces: ulogd-pgsql (<< 2.0.2-3~)
Description: PostgreSQL extension to ulogd
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This module adds PostgreSQL support to ulogd. If you install this package, you
 can send netfilter logs or accounting data to a PostgreSQL database.

Package: ulogd2-sqlite3
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks: ulogd-sqlite3 (<< 2.0.2-3~)
Replaces: ulogd-sqlite3 (<< 2.0.2-3~)
Description: SQLite 3 extension to ulogd
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This module adds SQLite 3 support to ulogd. If you install this package, you
 can send netfilter logs or accounting data to an SQLite 3 database.

Package: ulogd2-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}
Description: Netfilter Userspace Logging Daemon (debug symbols)
 ulogd is an advanced netfilter logging daemon. It can act as a replacement for
 syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
 targets), can gather per-connection accounting using NFCT, or gather per-rule
 accounting using NFACCT. Output can be sent to plain text log files, a variety
 of SQL database formats, XML files, pcap files, syslog, and many other formats.
 .
 This package provides debugging symbols for ulogd and its plugins.

Package: ulogd
Architecture: linux-any
Depends: ulogd2, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for ulogd2
 This is a transitional dummy package. It can safely be removed.

Package: ulogd-mysql
Architecture: linux-any
Depends: ulogd2-mysql, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for ulogd2-mysql
 This is a transitional dummy package. It can safely be removed.

Package: ulogd-pgsql
Architecture: linux-any
Depends: ulogd2-pgsql, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for ulogd2-pgsql
 This is a transitional dummy package. It can safely be removed.

Package: ulogd-pcap
Architecture: linux-any
Depends: ulogd2-pcap, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for ulogd2-pcap
 This is a transitional dummy package. It can safely be removed.

Package: ulogd-sqlite3
Architecture: linux-any
Depends: ulogd2-sqlite3, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package for ulogd2-sqlite3
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Activate full hardening build flags
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

PACKAGE	= $(firstword $(shell dh_listpackages))
TMP	= $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --with-pgsql --with-mysql --with-dbi

override_dh_auto_build:
	dh_auto_build -- V=1
	( cd doc && sgml2txt ulogd.sgml && sgml2html -s 0 ulogd.sgml )

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean
	rm -f ulogd.conf

override_dh_fixperms:
	dh_fixperms
	chmod 600 $(TMP)/etc/ulogd.conf

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_installdocs:
	# The ulogd transitional packages need their /usr/share/doc directories
	# handling specially in order to pick up the correct NEWS file.
	dh_installdocs -pulogd
	dh_installdocs -pulogd-mysql --link-doc=ulogd
	dh_installdocs -pulogd-pgsql --link-doc=ulogd
	dh_installdocs -pulogd-pcap --link-doc=ulogd
	dh_installdocs -pulogd-sqlite3 --link-doc=ulogd
	dh_installdocs --link-doc=$(PACKAGE)

override_dh_strip:
	dh_strip --dbg-package=$(PACKAGE)-dbg

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_clean override_dh_fixperms override_dh_install \
       	override_dh_installdocs override_dh_strip

## ulogd2 2.0.3

=== debian/changelog ===
ulogd2 (2.0.3-1ubuntu2) trusty; urgency=medium

  * Pull patch from Hideki Yamane in Debian bug #738407 to fix libdbi FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Feb 2014 22:00:15 -0700

ulogd2 (2.0.3-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Fri, 17 Jan 2014 02:23:24 -0500

ulogd2 (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh put-logfiles-in-var-log-ulog.patch.
  * Remove patches applied upstream:
    - nice-before-setuid.patch
    - write-pidfile.patch
    - improve-pid-file-handling.patch
    - nflog-close-handle-after-unbind.patch
  * Use ./configure --disable-silent-rules instead of make V=1.
  * Correct Vcs-Browser entry to point at gitweb on Alioth.
  * If the old ulogd init script exists during preinst, try to stop ulogd using
    that script. (Closes: #731257)

 -- Chris Boot <debian@bootc.net>  Tue, 03 Dec 2013 22:50:05 +0000

ulogd2 (2.0.2-4) unstable; urgency=low

  * Change priority of transitional packages to extra.
  * Change Vcs-{Browser,Git} to Alioth.
  * Update paths to docs in ulogd(8). (LP: #1232104)
  * Disable and remove old ulogd init script. (Closes: #729657, LP: #1250520)
    - Forcibly disable the init script in postinst.
    - Remove the script safely using rm_conffile.
    - Make the ulogd2 init script provide ulogd.
  * Fix assertion failure in libnfnetlink caused by running multiple instances
    of ulogd. (Closes: #729055)
    - Add nflog-close-handle-after-unbind.patch.
  * Add systemd unit and upstart job files.
  * Update Standards-Version to 3.9.5 (no changes required).

 -- Chris Boot <debian@bootc.net>  Fri, 15 Nov 2013 16:36:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: ulogd2
 Section: net
 Priority: optional
-Maintainer: Chris Boot <debian@bootc.net>
-Build-Depends: debhelper (>= 9), autotools-dev, pkg-config,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Boot <debian@bootc.net>
+Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config,
  libnfnetlink-dev (>= 1.0.1), libmnl-dev, libnetfilter-acct-dev,
  libnetfilter-conntrack-dev (>= 1.0.2), libnetfilter-log-dev,
  libmysqlclient-dev, libpq-dev, libsqlite3-dev, libdbi-dev, libpcap-dev,
- linuxdoc-tools, groff
-Standards-Version: 3.9.4
+ linuxdoc-tools, groff, dh-systemd (>= 1.5)
+Standards-Version: 3.9.5
 Homepage: http://www.netfilter.org/projects/ulogd/
-Vcs-Browser: https://github.com/bootc/ulogd2
-Vcs-Git: git://github.com/bootc/ulogd2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ulogd2.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/ulogd2.git
 
 Package: ulogd2
 Architecture: linux-any
@@ -129,6 +130,7 @@
 Architecture: linux-any
 Depends: ulogd2, ${misc:Depends}
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for ulogd2
  This is a transitional dummy package. It can safely be removed.
 
@@ -136,6 +138,7 @@
 Architecture: linux-any
 Depends: ulogd2-mysql, ${misc:Depends}
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for ulogd2-mysql
  This is a transitional dummy package. It can safely be removed.
 
@@ -143,6 +146,7 @@
 Architecture: linux-any
 Depends: ulogd2-pgsql, ${misc:Depends}
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for ulogd2-pgsql
  This is a transitional dummy package. It can safely be removed.
 
@@ -150,6 +154,7 @@
 Architecture: linux-any
 Depends: ulogd2-pcap, ${misc:Depends}
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for ulogd2-pcap
  This is a transitional dummy package. It can safely be removed.
 
@@ -157,6 +162,7 @@
 Architecture: linux-any
 Depends: ulogd2-sqlite3, ${misc:Depends}
 Section: oldlibs
+Priority: extra
 Description: transitional dummy package for ulogd2-sqlite3
  This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -10,17 +10,20 @@
 # Activate full hardening build flags
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 PACKAGE	= $(firstword $(shell dh_listpackages))
 TMP	= $(CURDIR)/debian/$(PACKAGE)
 
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf,systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-pgsql --with-mysql --with-dbi
+	dh_auto_configure -- --disable-silent-rules --with-pgsql --with-mysql \
+		             --with-dbi --with-dbi-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
-	dh_auto_build -- V=1
+	dh_auto_build
 	( cd doc && sgml2txt ulogd.sgml && sgml2html -s 0 ulogd.sgml )
 
 override_dh_auto_clean:

=== debian/watch ===
version=3
opts=pasv ftp://ftp.netfilter.org/pub/ulogd/ulogd-(.*)\.tar\.bz2 debian

## ulogd2 2.0.4

=== debian/changelog ===
ulogd2 (2.0.4-2ubuntu1) vivid; urgency=medium

  * debian/patches/copy-ipt-ulog.patch: Cherrypick upstream commit to keep a
    copy of linux/netfilter_ipv4/ipt_ULOG.h to fix compilation with Linux
    kernel >= 3.17.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Mar 2015 02:09:28 +0000

ulogd2 (2.0.4-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Fix removal of old ulogd initscript upon initial installation of ulogd2.
  * Remove more obsolete conffiles.

  [ Chris Boot ]
  * Apply patches from Andreas Beckmann correct the transition from ulogd to
    ulogd2. (Closes: #779865, LP: #1354720)

 -- Chris Boot <debian@bootc.net>  Sun, 08 Mar 2015 15:22:44 +0000

ulogd2 (2.0.4-1) unstable; urgency=medium

  * New upstream release:
    - Disables database buffering by default. This was enabled unintentionally
      in 2.0.3.
    - New JSON output plugin.
  * Refresh patches to eliminate fuzz and incorporate upstream changes:
    - debian/patches/enable-nflog-by-default.patch
    - debian/patches/put-logfiles-in-var-log-ulog.patch
  * Enable the JSON output plugin:
    - d/control: Add libjansson-dev to Build-Depends, add ulogd2-json package,
        add ulogd2-json to ulogd2's Suggests, update the ulogd2 long
        description.
    - d/rules: Add --with-jansson to configure arguments.
    - d/ulogd2-json.install: new file.

 -- Chris Boot <debian@bootc.net>  Sun, 13 Apr 2014 14:48:34 +0100

ulogd2 (2.0.3-2) unstable; urgency=low

  * Enable parallel build.
  * Enable GPG signature checking for uscan:
    - update debian/watch
    - add debian/upstream/signing-key.asc
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on newer
    architectures (e.g. arm64 and Ubuntu's ppc64el). (Closes: #735961)
  * Add --with-dbi-lib to configure options to work with newer libdbi which now
    lives in the multiarch lib directory. Thanks to Hideki Yamane for the patch.
    (Closes: #738407)

 -- Chris Boot <debian@bootc.net>  Sat, 22 Mar 2014 17:30:52 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libnfnetlink-dev (>= 1.0.1), libmnl-dev, libnetfilter-acct-dev,
  libnetfilter-conntrack-dev (>= 1.0.2), libnetfilter-log-dev,
  libmysqlclient-dev, libpq-dev, libsqlite3-dev, libdbi-dev, libpcap-dev,
- linuxdoc-tools, groff, dh-systemd (>= 1.5)
+ linuxdoc-tools, groff, dh-systemd (>= 1.5), libjansson-dev
 Standards-Version: 3.9.5
 Homepage: http://www.netfilter.org/projects/ulogd/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ulogd2.git;a=summary
@@ -17,7 +17,8 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, lsb-base, ${misc:Depends}, adduser
-Suggests: ulogd2-dbi, ulogd2-mysql, ulogd2-pgsql, ulogd2-pcap, ulogd2-sqlite3
+Suggests: ulogd2-dbi, ulogd2-json, ulogd2-mysql, ulogd2-pcap, ulogd2-pgsql,
+ ulogd2-sqlite3
 Breaks: ulogd (<< 2.0.2-3~)
 Replaces: ulogd (<< 2.0.2-3~)
 Description: Netfilter Userspace Logging Daemon
@@ -27,9 +28,11 @@
  accounting using NFACCT. Output can be sent to plain text log files, a variety
  of SQL database formats, XML files, pcap files, syslog, and many other formats.
  .
- Support for DBI, MySQL, PostgreSQL and SQLite 3 are in separate packages called
- ulogd2-dbi, ulogd2-mysql, ulogd2-pgsql and ulogd2-sqlite3 respectively. Support
- for writing to pcap files is in the ulogd2-pcap package.
+ Support for the DBI database abstraction layer, MySQL, PostgreSQL and SQLite 3
+ databases is in separate packages called ulogd2-dbi, ulogd2-mysql, ulogd2-pgsql
+ and ulogd2-sqlite3 respectively. Support for writing to JSON files is the
+ ulogd2-json package. Support for writing to pcap files is in the ulogd2-pcap
+ package.
 
 Package: ulogd2-dbi
 Architecture: linux-any
@@ -45,6 +48,21 @@
  This module adds DBI support to ulogd. If you install this package, you can
  send netfilter logs or accounting data to an SQL database via the DBI database
  abstraction layer.
+
+Package: ulogd2-json
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: JSON extension to ulogd
+ ulogd is an advanced netfilter logging daemon. It can act as a replacement for
+ syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
+ targets), can gather per-connection accounting using NFCT, or gather per-rule
+ accounting using NFACCT. Output can be sent to plain text log files, a variety
+ of SQL database formats, XML files, pcap files, syslog, and many other formats.
+ .
+ This module adds JSON support to ulogd. If you install this package, you can
+ send netfilter logs or accounting data to a log file using JavaScript Object
+ Notation (JSON).
 
 Package: ulogd2-mysql
 Architecture: linux-any

## ulogd2 2.0.5

=== debian/changelog ===
ulogd2 (2.0.5-5) unstable; urgency=medium

  * Switch to debhelper compat 10.
    - debian/control: update and tidy up Build-Depends.
    - debian/rules: tidy and remove implied autoreconf, systemd and parallel
      options
  * ulogd2.service: Add Documentation key
  * Tighten ownership and permissions on /var/log/ulog. (Closes: #846843)

 -- Chris Boot <bootc@debian.org>  Sat, 17 Dec 2016 10:28:55 +0000

ulogd2 (2.0.5-4) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 3.9.8 (no changes required).
  * Replace Build-Depends on libmysqlclient-dev with
    default-libmysqlclient-dev.

 -- Chris Boot <bootc@debian.org>  Fri, 11 Nov 2016 16:39:34 +0000

ulogd2 (2.0.5-3) unstable; urgency=medium

  * Use my new debian.org email address.
  * Add ulogd-restructures-signal-handling-by-self-pipe-tric.patch:
    Import upstream patch to overhaul the signal handling mechanism. This
    should prevent many seemingly random crashes during logrotate.
  * Remove transitional packages. The transition was completed in jessie.
  * Use https:// URLs for Vcs-Browser and Vcs-Git control fields.
  * Replace the -dbg package with automatic -dbgsym packages.

 -- Chris Boot <bootc@debian.org>  Thu, 25 Feb 2016 21:03:16 +0000

ulogd2 (2.0.5-2) unstable; urgency=medium

  * Add a NEWS file documenting that the ULOG iptables and ebtables targets
    have been removed from the kernel as of version 3.17. (Closes: #785415)

 -- Chris Boot <debian@bootc.net>  Thu, 05 Nov 2015 10:55:41 +0000

ulogd2 (2.0.5-1) unstable; urgency=medium

  * New upstream release.
    - Corrects JSON output of integer types on big-endian systems.
      (Closes: #784935)
  * Update Standards-Version to 3.9.6 (no changes required).
  * Add a README.source file.

 -- Chris Boot <debian@bootc.net>  Mon, 11 May 2015 12:31:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,39 @@
 Source: ulogd2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chris Boot <debian@bootc.net>
-Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config,
- libnfnetlink-dev (>= 1.0.1), libmnl-dev, libnetfilter-acct-dev,
- libnetfilter-conntrack-dev (>= 1.0.2), libnetfilter-log-dev,
- libmysqlclient-dev, libpq-dev, libsqlite3-dev, libdbi-dev, libpcap-dev,
- linuxdoc-tools, groff, dh-systemd (>= 1.5), libjansson-dev
-Standards-Version: 3.9.5
+Maintainer: Chris Boot <bootc@debian.org>
+Build-Depends:
+ debhelper (>= 10),
+ default-libmysqlclient-dev,
+ groff,
+ libdbi-dev,
+ libjansson-dev,
+ libmnl-dev,
+ libnetfilter-acct-dev,
+ libnetfilter-conntrack-dev (>= 1.0.2),
+ libnetfilter-log-dev,
+ libnfnetlink-dev (>= 1.0.1),
+ libpcap-dev,
+ libpq-dev,
+ libsqlite3-dev,
+ linuxdoc-tools,
+ pkg-config,
+Standards-Version: 3.9.8
 Homepage: http://www.netfilter.org/projects/ulogd/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ulogd2.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/ulogd2.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ulogd2.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ulogd2.git
 
 Package: ulogd2
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, lsb-base, ${misc:Depends}, adduser
-Suggests: ulogd2-dbi, ulogd2-json, ulogd2-mysql, ulogd2-pcap, ulogd2-pgsql,
- ulogd2-sqlite3
+Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Suggests:
+ ulogd2-dbi,
+ ulogd2-json,
+ ulogd2-mysql,
+ ulogd2-pcap,
+ ulogd2-pgsql,
+ ulogd2-sqlite3,
 Breaks: ulogd (<< 2.0.2-3~)
 Replaces: ulogd (<< 2.0.2-3~)
 Description: Netfilter Userspace Logging Daemon
@@ -37,7 +52,7 @@
 Package: ulogd2-dbi
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: DBI extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -52,7 +67,7 @@
 Package: ulogd2-json
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: JSON extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -67,7 +82,7 @@
 Package: ulogd2-mysql
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: ulogd-mysql (<< 2.0.2-3~)
 Replaces: ulogd-mysql (<< 2.0.2-3~)
 Description: MySQL extension to ulogd
@@ -83,8 +98,8 @@
 Package: ulogd2-pcap
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: tcpdump, wireshark, tshark
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Suggests: tcpdump, tshark, wireshark
 Breaks: ulogd-pcap (<< 2.0.2-3~)
 Replaces: ulogd-pcap (<< 2.0.2-3~)
 Description: pcap extension to ulogd
@@ -101,7 +116,7 @@
 Package: ulogd2-pgsql
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: ulogd-pgsql (<< 2.0.2-3~)
 Replaces: ulogd-pgsql (<< 2.0.2-3~)
 Description: PostgreSQL extension to ulogd
@@ -117,7 +132,7 @@
 Package: ulogd2-sqlite3
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ulogd2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: ulogd-sqlite3 (<< 2.0.2-3~)
 Replaces: ulogd-sqlite3 (<< 2.0.2-3~)
 Description: SQLite 3 extension to ulogd
@@ -129,58 +144,3 @@
  .
  This module adds SQLite 3 support to ulogd. If you install this package, you
  can send netfilter logs or accounting data to an SQLite 3 database.
-
-Package: ulogd2-dbg
-Section: debug
-Priority: extra
-Architecture: linux-any
-Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}
-Description: Netfilter Userspace Logging Daemon (debug symbols)
- ulogd is an advanced netfilter logging daemon. It can act as a replacement for
- syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
- targets), can gather per-connection accounting using NFCT, or gather per-rule
- accounting using NFACCT. Output can be sent to plain text log files, a variety
- of SQL database formats, XML files, pcap files, syslog, and many other formats.
- .
- This package provides debugging symbols for ulogd and its plugins.
-
-Package: ulogd
-Architecture: linux-any
-Depends: ulogd2, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for ulogd2
- This is a transitional dummy package. It can safely be removed.
-
-Package: ulogd-mysql
-Architecture: linux-any
-Depends: ulogd2-mysql, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for ulogd2-mysql
- This is a transitional dummy package. It can safely be removed.
-
-Package: ulogd-pgsql
-Architecture: linux-any
-Depends: ulogd2-pgsql, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for ulogd2-pgsql
- This is a transitional dummy package. It can safely be removed.
-
-Package: ulogd-pcap
-Architecture: linux-any
-Depends: ulogd2-pcap, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for ulogd2-pcap
- This is a transitional dummy package. It can safely be removed.
-
-Package: ulogd-sqlite3
-Architecture: linux-any
-Depends: ulogd2-sqlite3, ${misc:Depends}
-Section: oldlibs
-Priority: extra
-Description: transitional dummy package for ulogd2-sqlite3
- This is a transitional dummy package. It can safely be removed.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Activate full hardening build flags
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

PACKAGE	= $(firstword $(shell dh_listpackages))
TMP	= $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules --with-pgsql --with-mysql \
		--with-dbi --with-dbi-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-jansson

override_dh_auto_build:
	dh_auto_build
	( cd doc && sgml2txt ulogd.sgml && sgml2html -s 0 ulogd.sgml )

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean
	rm -f ulogd.conf

override_dh_fixperms:
	dh_fixperms
	chmod 600 $(TMP)/etc/ulogd.conf

override_dh_install:
	dh_install -X.la --fail-missing

override_dh_installdocs:
	dh_installdocs --link-doc=$(PACKAGE)

override_dh_strip:
	dh_strip --dbgsym-migration='ulogd2-dbg (<< 2.0.5-3~)'

## ulogd2 2.0.7

=== debian/changelog ===
ulogd2 (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh put-logfiles-in-var-log-ulog.patch.
  * Remove ulogd-restructures-signal-handling-by-self-pipe-tric.patch, was
    cherry-picked from upstream Git.
  * Move the package into the pkg-netfilter umbrella on Salsa:
    - debian/gbp.conf: move packaging into the master branch (using the debian
      branch was weird and non-standard).
    - debian/control: update Maintainer field, move myself to Uploaders,
      update Vcs-Git and Vcs-Browser fields.
    - debian/README.source: rewrite to reflect the new home.
  * Switch to debhelper compat 11.
  * Update Standards-Version to 4.1.4:
    - remove upstart configuration file
    - d/control: use https:// URL for Homepage field
    - d/copyright: use https:// URLs in Format and Source fields
  * d/ulogd2.logrotate:
    - add 'delaycompress' option. (Closes: #894603)
    - use systemctl when running under systemd. (Closes: #805976)
  * d/rules:
    - Explicitly enable all hardening options, in case more are added in
      future.
  * Remove transition aids from prior to current stable:
    - d/control: remove ancient Breaks and Replaces
    - d/rules: remove --dbgsym-migration from dh_strip
    - d/ulogd2.maintscript: remove rm_conffile for ulogd 1.x

 -- Chris Boot <bootc@debian.org>  Mon, 02 Jul 2018 15:08:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ulogd2
 Section: net
 Priority: optional
-Maintainer: Chris Boot <bootc@debian.org>
+Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
+Uploaders: Chris Boot <bootc@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-libmysqlclient-dev,
  groff,
  libdbi-dev,
@@ -18,10 +19,10 @@
  libsqlite3-dev,
  linuxdoc-tools,
  pkg-config,
-Standards-Version: 3.9.8
-Homepage: http://www.netfilter.org/projects/ulogd/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/ulogd2.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ulogd2.git
+Standards-Version: 4.1.4
+Homepage: https://www.netfilter.org/projects/ulogd/
+Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/ulogd2
+Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/ulogd2.git
 
 Package: ulogd2
 Architecture: linux-any
@@ -34,8 +35,6 @@
  ulogd2-pcap,
  ulogd2-pgsql,
  ulogd2-sqlite3,
-Breaks: ulogd (<< 2.0.2-3~)
-Replaces: ulogd (<< 2.0.2-3~)
 Description: Netfilter Userspace Logging Daemon
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -83,8 +82,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: ulogd-mysql (<< 2.0.2-3~)
-Replaces: ulogd-mysql (<< 2.0.2-3~)
 Description: MySQL extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -100,8 +97,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: tcpdump, tshark, wireshark
-Breaks: ulogd-pcap (<< 2.0.2-3~)
-Replaces: ulogd-pcap (<< 2.0.2-3~)
 Description: pcap extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -117,8 +112,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: ulogd-pgsql (<< 2.0.2-3~)
-Replaces: ulogd-pgsql (<< 2.0.2-3~)
 Description: PostgreSQL extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables
@@ -133,8 +126,6 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ulogd2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: ulogd-sqlite3 (<< 2.0.2-3~)
-Replaces: ulogd-sqlite3 (<< 2.0.2-3~)
 Description: SQLite 3 extension to ulogd
  ulogd is an advanced netfilter logging daemon. It can act as a replacement for
  syslog for logging netfilter ruleset violations (via the NFLOG or ULOG iptables

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 # Activate full hardening build flags
-export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -40,4 +40,4 @@
 	dh_installdocs --link-doc=$(PACKAGE)
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='ulogd2-dbg (<< 2.0.5-3~)'
+	dh_strip

=== debian/watch ===
version=3
opts=pasv,pgpsigurlmangle=s/$/.sig/ \
	ftp://ftp.netfilter.org/pub/ulogd/ulogd-(.*)\.tar\.bz2 debian

## ulogd2 2.0.8

=== debian/changelog ===
ulogd2 (2.0.8-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:29:54 +1100

ulogd2 (2.0.8-2) unstable; urgency=medium

  * d/control:
    - bump Standards-Version to 4.6.2
    - remove obsolete dep on lsb-base
    - update my e-mail address
    - update pkg-config build-dep to pkgconf
  * d/patches:
    - refresh existing patches
    - add patches to fix possible null pointer dereference when reopening
      pcap output file (LP: #1429778).

 -- Jeremy Sowden <azazel@debian.org>  Sat, 02 Mar 2024 20:49:33 +0000

ulogd2 (2.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libnetfilter-conntrack-dev and
      libnfnetlink-dev.
    + Remove 1 maintscript entries from 1 files.

  [ Jeremy Sowden ]
  * New upstream version
    - New IPFIX output plugin
    - Introduces pkg-config for libdbi, libmysqlclient, libpcap and libpq
      (Closes: #916998)
  * Add d/.gitignore file
  * d/compat, d/control:
    - remove d/compat
    - add a build-dep on `debhelper-compat = 13` to d/control
  * d/README.source:
    - bump dh version
  * d/control:
    - bump Standards-Version to 4.6.1
    - add myself to uploaders
    - add `Rules-requires-root: no`
  * d/copyright:
    - add myself to debian/*
  * d/not-installed, d/rules:
    - add libtool archives to d/not-installed
    - remove deprecated `dh_install` override from d/rules
  * d/patches:
    - add patch to fix libpq `CFLAGS` fall-back
  * d/rules:
    - remove no-op `dh_strip` override
    - replace several `override`s with `execute_after`s
    - remove obsolete flags from `dh_auto_configure`
  * d/ulogd2.dirs:
    - remove directories created by `make` (/usr/sbin) and `dh_install` (/etc)
    - remove /var/log/ulog since it leads to warnings from `adduser` and
      will be created by `postinst` anyway (Closes: #731638, #805940)
  * Add d/ulogd2.manpages and update d/*.install files
  * d/ulogd2.postinst:
    - remove obsolete code related to the ulogd init-script
    - only create user and group when configuring
    - create /var/log/ulog once with the right ownership and permissions
  * d/ulogd2.preinst:
    - remove obsolete code related to the ulogd init-script
  * d/ulogd2.tmpfile:
    - rename to ulogd2.tmpfiles
  * d/u/signing-key.asc:
    - update and minimize signing key
  * d/watch:
    - bump to v4 and use HTTPS URL
  * Update Lintian overrides

 -- Chris Boot <bootc@debian.org>  Thu, 29 Dec 2022 16:11:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,36 @@
 Source: ulogd2
 Section: net
 Priority: optional
-Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
-Uploaders: Chris Boot <bootc@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
+Uploaders: Chris Boot <bootc@debian.org>,
+           Jeremy Sowden <azazel@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  default-libmysqlclient-dev,
  groff,
  libdbi-dev,
  libjansson-dev,
  libmnl-dev,
  libnetfilter-acct-dev,
- libnetfilter-conntrack-dev (>= 1.0.2),
+ libnetfilter-conntrack-dev,
  libnetfilter-log-dev,
- libnfnetlink-dev (>= 1.0.1),
+ libnfnetlink-dev,
  libpcap-dev,
  libpq-dev,
  libsqlite3-dev,
  linuxdoc-tools,
- pkg-config,
-Standards-Version: 4.1.4
+ pkgconf,
+Standards-Version: 4.6.2
 Homepage: https://www.netfilter.org/projects/ulogd/
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/ulogd2
 Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/ulogd2.git
 
 Package: ulogd2
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
 Suggests:
  ulogd2-dbi,
  ulogd2-json,
@@ -47,6 +50,13 @@
  and ulogd2-sqlite3 respectively. Support for writing to JSON files is the
  ulogd2-json package. Support for writing to pcap files is in the ulogd2-pcap
  package.
+
+#
+# The following packages contain shared library plug-ins.  In theory, they are
+# co-installable.  However, because they depend on ulogd2, which is not co-
+# installable, in practice neither are the plug-ins, which is why they are not
+# marked `Multi-Arch: same`.
+#
 
 Package: ulogd2-dbi
 Architecture: linux-any

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://www.netfilter.org/pub/ulogd/ulogd-(.*)\.tar\.bz2

## ulogd2 2.0.9

=== debian/changelog ===
ulogd2 (2.0.9-1) unstable; urgency=medium

  * New upstream release (Closes: #1110028).
  * d/watch
    - use substitution strings
  * d/u/signing-key.asc
    - update signing key
  * d/patches
    - remove upstreamed patches
    - refresh remaining patches
  * d/control
    - bump Standards-Version to 4.7.2
    - use the tracker.d.o e-mail address for `Maintainer:`
  * d/copyright
    - update the text of the GPL
    - update my e-mail address

 -- Jeremy Sowden <azazel@debian.org>  Mon, 28 Jul 2025 18:30:00 +0100

ulogd2 (2.0.8-3) unstable; urgency=medium

  * d/patches: add patch to fix filter plug-in buffer overruns
    (LP: #2080677)
  * d/control: bump Standards-Version to 4.7.0

 -- Jeremy Sowden <azazel@debian.org>  Sun, 26 Jan 2025 12:55:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ulogd2
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
+Maintainer: Debian Netfilter Packaging Team <team+pkg-netfilter-team@tracker.debian.org>
 Uploaders: Chris Boot <bootc@debian.org>,
            Jeremy Sowden <azazel@debian.org>
 Build-Depends:
@@ -21,7 +20,7 @@
  libsqlite3-dev,
  linuxdoc-tools,
  pkgconf,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.netfilter.org/projects/ulogd/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/ulogd2

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Activate full hardening build flags
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

PACKAGE	= $(firstword $(shell dh_listpackages))
TMP	= $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

execute_after_dh_auto_build:
	cd doc && sgml2txt ulogd.sgml && sgml2html -s 0 ulogd.sgml

execute_after_dh_auto_clean:
	$(MAKE) -C doc clean
	rm -f ulogd.conf

execute_after_dh_fixperms:
	chmod 600 $(TMP)/etc/ulogd.conf

override_dh_installdocs:
	dh_installdocs --link-doc=$(PACKAGE)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://www.netfilter.org/pub/ulogd/ulogd@ANY_VERSION@@ARCHIVE_EXT@
